%global momorel 3
%global svndate 20081004

Summary: Google Calendar Synchronization Plug-In for OpenSync
Name: libopensync-plugin-google-calendar
Version: 0.38
Release: 0.%{svndate}.%{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
#Source0: http://opensync.org/download/releases/%%{version}/%%{name}-%%{version}.tar.bz2
#NoSource: 0
Source0: %{name}-%{version}-svn%{svndate}.tar.bz2
Patch0: %{name}-%{version}-svn%{svndate}-buildfix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: PyXML
Requires: python-httplib2
BuildRequires: cmake
BuildRequires: libX11-devel
BuildRequires: libopensync-devel >= %{version}
BuildRequires: pkgconfig
BuildRequires: python-httplib2

%description
This plug-in allows applications using OpenSync to synchronize to and
from Google Calendar.

Additionally install the libopensync package.

%prep
%setup -q -n %{name}-%{version}-svn%{svndate}
%patch0 -p1 -b .buildfix

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
	-DCMAKE_SKIP_RPATH=YES ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/opensync-1.0/plugins/gcalendar.so
%{_libexecdir}/google-cal-helper
%{_datadir}/opensync-1.0/capabilities/google-calendar-gcal-2005.xml
%{_datadir}/opensync-1.0/defaults/google-calendar
%{_datadir}/opensync-1.0/descriptions/google-calendar.xml

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.38-0.20081004.3m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.38-0.20081004.2m)
- rebuild against python-2.6.1-2m

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.38-0.20081004.1m)
- update to 0.38 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.36-2m)
- rebuild against gcc43

* Wed Feb 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.36-1m)
- version 0.36

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
